import { RankSchemeStore } from "./rankscheme";
import { JobLevelStore } from "./joblevel";
import { JobGradeStore } from "./jobgrade";
import { OfficeManageStore } from "./officeManage";
import { SequenceStore } from "./sequence";
import { GroupStore } from "./group";
import { CompanyExtendStore } from "./companyextend";
import { CompanyStore } from "./company";
import { DepartmentStore } from "./department";
import { DepartmentExtendStore } from "./departmentextend";
import { StaffSchemeStore } from "./staffscheme";
import { StaffStore } from "./staff";
import { JobStore } from "./job";
import { JobExtendStore } from "./jobextend";
import { NumberSetStore } from "./numberSet";
import {FieldDefinedStore} from "./fieldDefined";
import {ResourceStore} from "./resource";
import {ResourceExtendStore} from "./resourceExtend";
import {DatasImportStore} from "./datasImport";
import {HrmImportResource} from "./importresource";
import {HrmImportCommon} from "./importCommon";
import {HrmBasicDataImport} from "./import";
import {NewImportStore} from "./newImport";
import {ResourceBasicInfoStore} from "./reserouseBasicInfo";
import {ImportDialogStore} from "./importDialog";
import {ResourceCardStore} from "./resourceCard";
import {ManagerDetachStore} from "./managerDetach";
import {ColumnSetting} from './columnSetting';
import {PersonnelResumeStore} from './personnelResume';
import { QuickSearchStore } from "./quickSearch";
import { QtxConfigStore } from "./qtxConfig";


module.exports = {
  rankScheme: new RankSchemeStore(),
  jobLevel: new JobLevelStore(),
  jobGrade: new JobGradeStore(),
  officeManageStore: new OfficeManageStore(),
  sequence: new SequenceStore(),
  group: new GroupStore(),
  companyExtend: new CompanyExtendStore(),
  company: new CompanyStore(),
  department: new DepartmentStore(),
  departmentExtend: new DepartmentExtendStore(),
  staffScheme: new StaffSchemeStore(),
  staff: new StaffStore(),
  job: new JobStore(),
  jobExtend: new JobExtendStore(),
  numberSet: new NumberSetStore(),
  fieldDefined: new FieldDefinedStore(),
  resource: new ResourceStore(),
  resourceExtend: new ResourceExtendStore(),
  datasImport: new DatasImportStore(),
  hrmImportResource:new HrmImportResource(),
  hrmImportCommon:new HrmImportCommon(),
  hrmBasicDataImport:new HrmBasicDataImport(),
  newImport: new NewImportStore(),
  resourceBasicInfo: new ResourceBasicInfoStore(),
  importDialog: new ImportDialogStore(),
  resourceCard:new ResourceCardStore(),
  managerDetach: new ManagerDetachStore(),
  columnSetting: new ColumnSetting(),
  personnelResume:new PersonnelResumeStore(),
  quickSearch:new QuickSearchStore(),
  qtxConfig: new QtxConfigStore()
};
